Bug 582721 - RFE: add xmlrpc-c
RFE: add xmlrpc-c
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xmlrpc-c (Show other bugs)
5.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: Rob Crittenden
Jenny Galipeau
: FutureFeature
Depends On: 589144
Blocks: 578204
  Show dependency treegraph
 
Reported: 2010-04-15 12:03 EDT by Nalin Dahyabhai
Modified: 2011-01-13 17:57 EST (History)
9 users (show)

See Also:
Fixed In Version: xmlrpc-c-1.16.24-1203.1840.el5
Doc Type: Enhancement
Doc Text:
These packages provide a modular implementation of XML-RPC for C and C++.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 17:57:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nalin Dahyabhai 2010-04-15 12:03:20 EDT
certmonger currently uses xmlrpc-c to issue requests to servers that use xmlrpc-c (this is both IPA and certmaster).  If we don't have xmlrpc-c in the distribution, then certmonger will have to learn another way to do it.
Comment 1 Rob Crittenden 2010-05-05 10:21:52 EDT
*** Bug 589144 has been marked as a duplicate of this bug. ***
Comment 2 Dmitri Pal 2010-05-05 10:59:33 EDT
This package might be decided to be a tech preview package depending upon when 5.6 is actually released.
Comment 7 Tomas Kopecek 2010-09-14 03:17:34 EDT
removed needinfo, mapping set according to https://bugzilla.redhat.com/show_bug.cgi?id=630751
Comment 8 Steve Traylen 2010-10-04 13:41:00 EDT
Is there indication as to if this will make RHEL 5.6?

If not we can push ahead with the EPEL one.
Steve.
Comment 9 Dmitri Pal 2010-10-04 14:52:57 EDT
So far the work is going on for 5.6.
Comment 10 Jaromir Hradilek 2010-10-23 10:24:33 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
These packages provide a modular implementation of XML-RPC for C and C++.
Comment 11 Jenny Galipeau 2010-11-15 16:17:07 EST
verified:

[root@qe-blade-04 ~]# yum install xmlrpc-c
Loaded plugins: rhnplugin, security
This system is not registered with RHN.
RHN support will be disabled.
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package xmlrpc-c.i386 0:1.16.24-1205.1840.el5 set to be updated
---> Package xmlrpc-c.x86_64 0:1.16.24-1205.1840.el5 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package       Arch        Version                     Repository          Size
================================================================================
Installing:
 xmlrpc-c      i386        1.16.24-1205.1840.el5       beaker-Server      157 k
 xmlrpc-c      x86_64      1.16.24-1205.1840.el5       beaker-Server      169 k

Transaction Summary
================================================================================
Install       2 Package(s)
Upgrade       0 Package(s)

Total download size: 327 k
Is this ok [y/N]: y
Downloading Packages:
(1/2): xmlrpc-c-1.16.24-1205.1840.el5.i386.rpm           | 157 kB     00:00     
(2/2): xmlrpc-c-1.16.24-1205.1840.el5.x86_64.rpm         | 169 kB     00:00     
--------------------------------------------------------------------------------
Total                                           3.1 MB/s | 327 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : xmlrpc-c                                                 1/2 
  Installing     : xmlrpc-c                                                 2/2 

Installed:
  xmlrpc-c.i386 0:1.16.24-1205.1840.el5 xmlrpc-c.x86_64 0:1.16.24-1205.1840.el5

Complete!


[root@qe-blade-04 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 5.6 Beta (Tikanga)

[root@qe-blade-04 ~]# rpm -q xmlrpc-c
xmlrpc-c-1.16.24-1205.1840.el5
xmlrpc-c-1.16.24-1205.1840.el5
Comment 13 errata-xmlrpc 2011-01-13 17:57:09 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0064.html

Note You need to log in before you can comment on or make changes to this bug.